package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.PosOrder;

/**
 * posorderService接口
 * 
 * @author ruoyi
 * @date 2023-05-23
 */
public interface IPosOrderService extends IService<PosOrder>
{
    /**
     * 查询posorder
     * 
     * @param id posorder主键
     * @return posorder
     */
    public PosOrder selectPosOrderById(Long id);

    /**
     * 查询posorder列表
     * 
     * @param posOrder posorder
     * @return posorder集合
     */
    public List<PosOrder> selectPosOrderList(PosOrder posOrder);
    /**
     * 查询posorder列表 sh
     *
     * @param posOrder posorder
     * @return posorder集合
     */
    public List<PosOrder> selectPosOrderShList(PosOrder posOrder);

    /**
     * 新增posorder
     * 
     * @param posOrder posorder
     * @return 结果
     */
    public int insertPosOrder(PosOrder posOrder);

    /**
     * 修改posorder
     * 
     * @param posOrder posorder
     * @return 结果
     */
    public int updatePosOrder(PosOrder posOrder);

    /**
     * 批量删除posorder
     * 
     * @param ids 需要删除的posorder主键集合
     * @return 结果
     */
    public int deletePosOrderByIds(Long[] ids);

    /**
     * 删除posorder信息
     * 
     * @param id posorder主键
     * @return 结果
     */
    public int deletePosOrderById(Long id);
}
